Bug 100757 - [EFL][GTK] Adapt accessibility feature to WebKitTestRunner.
Summary: [EFL][GTK] Adapt accessibility feature to WebKitTestRunner.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mateusz Leszko
URL:
Keywords:
Depends on: 99011 100848
Blocks: 98895
  Show dependency treegraph
 
Reported: 2012-10-30 06:59 PDT by Mateusz Leszko
Modified: 2012-11-23 10:17 PST (History)
10 users (show)

See Also:


Attachments
Adding macros specified for EFL accessibility. Updating CMake files. Removed gtk/gtk.h dependency. (8.63 KB, patch)
2012-11-15 07:07 PST, Mateusz Leszko
no flags Details | Formatted Diff | Diff
Adding macros specified for EFL accessibility. Updating CMake files. Removed gtk/gtk.h dependency. (8.63 KB, patch)
2012-11-20 02:38 PST, Mateusz Leszko
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
Adapt accessibility feature to WebKitTestRunner. (8.46 KB, patch)
2012-11-20 06:59 PST, Mateusz Leszko
eflews.bot: commit-queue-
Details | Formatted Diff | Diff
Adapt accessibility feature to WebKitTestRunner. (8.46 KB, patch)
2012-11-23 01:29 PST, Mateusz Leszko
no flags Details | Formatted Diff | Diff
[EFL] Skipping Accessibility tests for wk2. (1.38 KB, patch)
2012-11-23 09:16 PST, Krzysztof Czech
no flags Details | Formatted Diff | Diff
[EFL] Skipping Accessibility tests for wk1/wk2. (1.38 KB, patch)
2012-11-23 09:30 PST, Krzysztof Czech
no flags Details | Formatted Diff | Diff
[EFL] Adapt accessibility feature to WebKitTestRunner. (1.38 KB, patch)
2012-11-23 09:34 PST, Krzysztof Czech
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Leszko 2012-10-30 06:59:02 PDT
Adding Macros specified for EFL accessibility.
Updating CMake files.
Comment 1 Mateusz Leszko 2012-11-15 07:07:42 PST
Created attachment 174430 [details]
Adding macros specified for EFL accessibility. Updating CMake files. Removed gtk/gtk.h dependency.
Comment 2 Mateusz Leszko 2012-11-16 07:37:00 PST
Test are failing due to 99011 dependency.
Comment 3 Grzegorz Czajkowski 2012-11-20 00:17:43 PST
Comment on attachment 174430 [details]
Adding macros specified for EFL accessibility. Updating CMake files. Removed gtk/gtk.h dependency.

Clearing the review flag as the patch couldn't be applied to the trunk. Please rebase the patch.
Comment 4 Mateusz Leszko 2012-11-20 02:38:36 PST
Created attachment 175177 [details]
Adding macros specified for EFL accessibility. Updating CMake files. Removed gtk/gtk.h dependency.

rebase
Comment 5 EFL EWS Bot 2012-11-20 02:41:44 PST
Comment on attachment 175177 [details]
Adding macros specified for EFL accessibility. Updating CMake files. Removed gtk/gtk.h dependency.

Attachment 175177 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/14934220
Comment 6 Grzegorz Czajkowski 2012-11-20 05:47:47 PST
Comment on attachment 175177 [details]
Adding macros specified for EFL accessibility. Updating CMake files. Removed gtk/gtk.h dependency.

View in context: https://bugs.webkit.org/attachment.cgi?id=175177&action=review

> LayoutTests/ChangeLog:3
> +        [EFL][GTK] Adapt accessibility support for EFL.

It seems that the patch allows to compile accessibility feature for WTR to pass accessibility tests. Wouldn't be better to change the title to:
[EFL] Adapt accessibility feature to WebKitTestRunner. ?
IMHO this patch doesn't touch WebKit-GTK at all, so we can omit [GTK] prefix.

> Tools/ChangeLog:8
> +        Adding macros specified for EFL accessibility.

Sounds unclear, What about "Allow to build accessibility feature in WebkitTestRunner for EFL Platform." ?

> Tools/ChangeLog:9
> +        Updating CMake files.

Please describe what you are changing in CMake configurations, like adding atk includes etc.

> Tools/ChangeLog:10
> +        Removed gtk/gtk.h dependency.

Please add this note in below list next to method where the dependency is being removed.
Comment 7 Mateusz Leszko 2012-11-20 06:42:12 PST
Patch is not building due to Bug 100848 dependency.
Comment 8 Mateusz Leszko 2012-11-20 06:44:29 PST
Comment on attachment 175177 [details]
Adding macros specified for EFL accessibility. Updating CMake files. Removed gtk/gtk.h dependency.

View in context: https://bugs.webkit.org/attachment.cgi?id=175177&action=review

>> LayoutTests/ChangeLog:3
>> +        [EFL][GTK] Adapt accessibility support for EFL.
> 
> It seems that the patch allows to compile accessibility feature for WTR to pass accessibility tests. Wouldn't be better to change the title to:
> [EFL] Adapt accessibility feature to WebKitTestRunner. ?
> IMHO this patch doesn't touch WebKit-GTK at all, so we can omit [GTK] prefix.

Changing title. Leaving [GTK] tag due to removing "include <gtk/gtk.h>".

>> Tools/ChangeLog:8
>> +        Adding macros specified for EFL accessibility.
> 
> Sounds unclear, What about "Allow to build accessibility feature in WebkitTestRunner for EFL Platform." ?

Sounds good.

>> Tools/ChangeLog:9
>> +        Updating CMake files.
> 
> Please describe what you are changing in CMake configurations, like adding atk includes etc.

ok

>> Tools/ChangeLog:10
>> +        Removed gtk/gtk.h dependency.
> 
> Please add this note in below list next to method where the dependency is being removed.

ok
Comment 9 Mateusz Leszko 2012-11-20 06:59:28 PST
Created attachment 175210 [details]
Adapt accessibility feature to WebKitTestRunner.
Comment 10 EFL EWS Bot 2012-11-20 07:07:54 PST
Comment on attachment 175210 [details]
Adapt accessibility feature to WebKitTestRunner.

Attachment 175210 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/14911638
Comment 11 Grzegorz Czajkowski 2012-11-20 07:12:34 PST
Thanks for the changes. LGTM.
Let's wait for bug 100848 to meet dependency.
Comment 12 Mateusz Leszko 2012-11-23 01:29:37 PST
Created attachment 175752 [details]
Adapt accessibility feature to WebKitTestRunner.
Comment 13 Mateusz Leszko 2012-11-23 02:20:02 PST
CC'ing reviewers.

All dependences solved.
Local review done.
Comment 14 Laszlo Gombos 2012-11-23 08:44:03 PST
Comment on attachment 175752 [details]
Adapt accessibility feature to WebKitTestRunner.

r=me.
Comment 15 WebKit Review Bot 2012-11-23 08:48:41 PST
Comment on attachment 175752 [details]
Adapt accessibility feature to WebKitTestRunner.

Clearing flags on attachment: 175752

Committed r135619: <http://trac.webkit.org/changeset/135619>
Comment 16 WebKit Review Bot 2012-11-23 08:48:48 PST
All reviewed patches have been landed.  Closing bug.
Comment 17 Krzysztof Czech 2012-11-23 09:16:29 PST
Created attachment 175816 [details]
[EFL] Skipping Accessibility tests for wk2.
Comment 18 Krzysztof Czech 2012-11-23 09:30:48 PST
Created attachment 175818 [details]
[EFL] Skipping Accessibility tests for wk1/wk2.
Comment 19 Krzysztof Czech 2012-11-23 09:34:30 PST
Created attachment 175820 [details]
[EFL] Adapt accessibility feature to WebKitTestRunner.
Comment 20 Laszlo Gombos 2012-11-23 09:38:05 PST
Comment on attachment 175820 [details]
[EFL] Adapt accessibility feature to WebKitTestRunner.

r=me.
Comment 21 Mateusz Leszko 2012-11-23 09:51:02 PST
updating patch due to skipping test.
Comment 22 WebKit Review Bot 2012-11-23 10:17:44 PST
Comment on attachment 175820 [details]
[EFL] Adapt accessibility feature to WebKitTestRunner.

Clearing flags on attachment: 175820

Committed r135627: <http://trac.webkit.org/changeset/135627>
Comment 23 WebKit Review Bot 2012-11-23 10:17:49 PST
All reviewed patches have been landed.  Closing bug.